MorbidDK (morbiddk) wrote in livelizard,
MorbidDK
morbiddk
livelizard

New Releases?

Any idea if or when a release of LL will come out that will support Moz 1.4+? I am currently using 1.4 on Gentoo Linux and I can't seem to log in at all and therefore I am a bit skeptical about using LL.
  • Post a new comment

    Error

    default userpic
  • 3 comments